declare namespace _default {
    function data(): {
        CSVExport: any;
    };
    namespace computed {
        function isCSVLoading(): boolean;
        function CSVDownloadProgress(): any;
        function selectedIds(): any;
        function isAnySelected(): boolean;
    }
    namespace methods {
        function initCSVExport(fetchMethod: any, options: any): void;
        function exportCSV(exportParams: any): Promise<void>;
    }
}
export default _default;
